
From: Miklos Szeredi <miklos@szeredi.hu>

This patch adds generic_file_llseek to fuse_file_operations and
fuse_dir_operations, replacing the implicit default_llseek.

Signed-off-by: Miklos Szeredi <miklos@szeredi.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/fuse/dir.c  |    1 +
 25-akpm/fs/fuse/file.c |    1 +
 2 files changed, 2 insertions(+)

diff -puN fs/fuse/dir.c~fuse-file-operations-use-generic_file_llseek fs/fuse/dir.c
--- 25/fs/fuse/dir.c~fuse-file-operations-use-generic_file_llseek	Fri Mar  4 15:38:22 2005
+++ 25-akpm/fs/fuse/dir.c	Fri Mar  4 15:38:22 2005
@@ -723,6 +723,7 @@ static struct inode_operations fuse_dir_
 };
 
 static struct file_operations fuse_dir_operations = {
+	.llseek		= generic_file_llseek,
 	.read		= generic_read_dir,
 	.readdir	= fuse_readdir,
 	.open		= fuse_dir_open,
diff -puN fs/fuse/file.c~fuse-file-operations-use-generic_file_llseek fs/fuse/file.c
--- 25/fs/fuse/file.c~fuse-file-operations-use-generic_file_llseek	Fri Mar  4 15:38:22 2005
+++ 25-akpm/fs/fuse/file.c	Fri Mar  4 15:38:22 2005
@@ -307,6 +307,7 @@ static int fuse_set_page_dirty(struct pa
 }
 
 static struct file_operations fuse_file_operations = {
+	.llseek		= generic_file_llseek,
 	.read		= generic_file_read,
 	.write		= generic_file_write,
 	.mmap		= fuse_file_mmap,
_
